<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Inputs Package (CheckBox, ColorGradient, ColorPalette, ColorPicker, FlatColorPicker, FormField, MaskedTextBox, NumericTextBox, RadioButton, RangeSlider, Rating, Signature, Slider, Switch, TextArea, and TextBox Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Inputs package](https://www.telerik.com/kendo-angular-ui/components/inputs/) is a collection of components that render interactive and accessible input fields, each specialized for their specific format.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/component-pages/angular/textarea---forms-support.jpg" alt="Form Example using various inputs such as MaskedTextBox, NumericTextBox, and TextArea in Angular" >

## What's Included in the Angular Inputs Package

* [Angular CheckBox Component](https://www.telerik.com/kendo-angular-ui/components/inputs/checkbox/)&mdash;Allows the user to toggle between checked and unchecked states. It supports all regular HTML checkbox attributes and Angular bindings.
* [Angular ColorGradient Component](https://www.telerik.com/kendo-angular-ui/components/inputs/colorgradient/)&mdash;Renders a gradient with hue and alpha sliders for interactive color picking as well as inputs to manually enter a desired color.
* [Angular ColorPalette Component](https://www.telerik.com/kendo-angular-ui/components/inputs/colorpalette/)&mdash;Renders sets of predefined colors from which users can choose. A common example is swithcing clothing colors when online shopping.
* [Angular ColorPicker Component](https://www.telerik.com/kendo-angular-ui/components/inputs/colorpicker/)&mdash;Combines the ColorGradient and ColorPalette to provide a rich color selection tool that appears in a popup and provides a variety of ways to select colors as well as a preview of selected colors.
* [Angular FlatColorPicker Component](https://www.telerik.com/kendo-angular-ui/components/inputs/flatcolorpicker/)&mdash;The same as the Angular ColorPicker, except the picker is not hidden in a popup. It renders directly on the page.
* [Angular FormField Component](https://www.telerik.com/kendo-angular-ui/components/inputs/formfield/)&mdash;Helps you group form related content to lay out and configure fields, labels, hints, and error messages.
* [Angular MaskedTextBox Component](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/)&mdash;Enables you to control input by enforcing format using a mask. A common example is requiring phone number formats.
* [Angular NumericTextBox Component](https://www.telerik.com/kendo-angular-ui/components/inputs/numerictextbox/)&mdash;Provides spin buttons to help users enter and edit numeric values.
* [Angular RadioButton Component](https://www.telerik.com/kendo-angular-ui/components/inputs/radiobutton/)&mdash;Allows you to create a list of radio buttons where you can only select one of the predefined options. It supports all regular HTML checkbox attributes and Angular bindings.
* [Angular RangeSlider Component](https://www.telerik.com/kendo-angular-ui/components/inputs/rangeslider/)&mdash;Allows users to visually specify numeric ranges by dragging its handles or clicking its track.
* [Angular Rating Component](https://www.telerik.com/kendo-angular-ui/components/inputs/rating)&mdash;Enables the user to increase, decrease, and select predefined values by clicking its icons along or using the arrow keys.
* [Angular Signature Component](https://www.telerik.com/kendo-angular-ui/components/inputs/signature)&mdash;Enables the user to create handwritten signatures and submit them as part of a form.
* [Angular Slider Component](https://www.telerik.com/kendo-angular-ui/components/inputs/slider/)&mdash;Enables the user to increase, decrease, and select predefined values by dragging its handle along the track, or by clicking its side arrow buttons.
* [Angular Switch Component](https://www.telerik.com/kendo-angular-ui/components/inputs/switch/)&mdash;A visual toggle that switches between checked and unchecked states.
* [Angular TextArea Component](https://www.telerik.com/kendo-angular-ui/components/inputs/textarea/)&mdash;Provides a highly customizable UI for entering and displaying multiple lines of text.
* [Angular TextBox Component](https://www.telerik.com/kendo-angular-ui/components/inputs/textbox/)&mdash;Provides options for creating composite inputs that you can integrate within forms or use as standalone items.

## Key Features

Among the many features which the Kendo UI for Angular Inputs deliver are:

* [Delaying Input Value Changes](https://www.telerik.com/kendo-angular-ui/components/inputs/debounce-valuechange)&mdash;By default, value updates are processed immediately after the input. But, if you need to allow time for complex scenarios and operations, you can configure a slight delay before the components accept the new input value.
* [Disabled Inputs](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/disabled-state)&mdash;Display the Inputs in their disabled state so that, if need be present, users will not be able to interact with them.
* [Forms Support](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/forms)&mdash;The Inputs provide support both for the asynchronous template-driven Angular forms and the predominantly synchronous reactive Angular forms. This feature allows you to draw on the logic set either in the template, or in the component or typescript code.
* [Appearance](https://www.telerik.com/kendo-angular-ui/components/inputs/styling)&mdash;All aspects of the Inputs can be customized by theme variables or configuration options. Kendo UI for Angular delivers a set of popular themes including Bootstrap and Material, all of which can be easily customized with the Progress ThemeBuilder online utility.
* [Customization](https://www.telerik.com/kendo-angular-ui/components/inputs/colorpicker/custom)&mdash;The color-picking Inputs provide various configuration options for the user to specify their rendering and customize certain aspects of the components' appearance.
* [Adornments](https://www.telerik.com/kendo-angular-ui/components/inputs/textbox/adornments)&mdash;You can enhance the visual and functional aspects of the text-based Inputs by using custom adornments in the form of prefixes and suffixes.
* [Labels](https://www.telerik.com/kendo-angular-ui/components/inputs/checkbox/labels)&mdash;You have the ability to display labels for the Inputs by associating them with a label element. Some of the Inputs also provide built-in properties for customizing their internal labels. 
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/inputs/globalization)&mdash;The Kendo UI for Angular Inputs support globalization to ensure that each Inputs component can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Inputs support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/accessibility)&mdash;The Inputs are accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/inputs/maskedtextbox/keyboard-navigation)&mdash;The Inputs support a number of keyboard shortcuts which alow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Inputs, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Inputs](https://www.telerik.com/kendo-angular-ui/components/inputs/installation/getting-started)
* [Inputs Overview page](https://www.telerik.com/kendo-angular-ui/components/inputs) and [Inputs API reference](https://www.telerik.com/kendo-angular-ui/components/inputs/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
