/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./checkbox/checkbox.component";
import * as i2 from "./checkbox/checkbox.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the CheckBox directive and CheckBoxComponent.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the CheckBox module
 * import { CheckBoxModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, CheckBoxModule], // import CheckBox module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class CheckBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CheckBoxModule, never, [typeof i1.CheckBoxComponent, typeof i2.CheckBoxDirective], [typeof i1.CheckBoxComponent, typeof i2.CheckBoxDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CheckBoxModule>;
}
