/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, TemplateRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ActionSheetComponent } from '@progress/kendo-angular-navigation';
import { ButtonComponent } from '@progress/kendo-angular-buttons';
import { TextBoxComponent } from '../../textbox/textbox.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AdaptiveRendererComponent {
    localization: LocalizationService;
    title: string;
    subtitle: string;
    actionSheetTemplate: TemplateRef<any>;
    isActionSheetExpanded: boolean;
    preview: boolean;
    actionSheetClose: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    onApply: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    actionSheet: ActionSheetComponent;
    actionSheetSearchBar: TextBoxComponent;
    cancelButton: ButtonComponent;
    applyButton: ButtonComponent;
    constructor(localization: LocalizationService);
    animationDuration: number;
    xIcon: SVGIcon;
    checkIcon: SVGIcon;
    messageFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AdaptiveRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdaptiveRendererComponent, "kendo-adaptive-renderer", never, { "title": { "alias": "title"; "required": false; }; "subtitle": { "alias": "subtitle"; "required": false; }; "actionSheetTemplate": { "alias": "actionSheetTemplate"; "required": false; }; "isActionSheetExpanded": { "alias": "isActionSheetExpanded"; "required": false; }; "preview": { "alias": "preview"; "required": false; }; }, { "actionSheetClose": "actionSheetClose"; "onExpand": "onExpand"; "onCollapse": "onCollapse"; "onApply": "onApply"; "onCancel": "onCancel"; }, never, never, true, never>;
}
