/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, ElementRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { InputSize } from '../common/models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FlatColorPickerActionButtonsComponent {
    localizationService: LocalizationService;
    hostClasses: boolean;
    innerTabIndex: number;
    size: InputSize;
    actionButtonClick: EventEmitter<any>;
    tabOut: EventEmitter<any>;
    firstButton: ElementRef;
    lastButton: ElementRef;
    constructor(localizationService: LocalizationService);
    getText(text: string): string;
    onActionButtonClick(type: string, ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlatColorPickerActionButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FlatColorPickerActionButtonsComponent, "[kendoFlatColorPickerActionButtons]", never, { "innerTabIndex": { "alias": "innerTabIndex"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, { "actionButtonClick": "actionButtonClick"; "tabOut": "tabOut"; }, never, never, true, never>;
}
