/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Renderer2 } from "@angular/core";
import { ActionSheetComponent } from "@progress/kendo-angular-navigation";
import { AdaptiveSize } from "@progress/kendo-angular-utils";
/**
 * Specifies the adaptive rendering of the component.
 *
 * The supported values are:
 * * `none`&mdash;(default)
 * * `auto`
 */
export type AdaptiveMode = 'none' | 'auto';
/**
 * @hidden
 */
export declare const animationDuration = 300;
/**
 * @hidden
 */
export declare const updateActionSheetAdaptiveAppearance: (actionSheet: ActionSheetComponent, windowSize: AdaptiveSize, renderer: Renderer2) => void;
