/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Configures the color gradient that opens in the popup.
 */
export interface GradientSettings {
    /**
     * Specifies if the component will render an alpha slider.
     */
    opacity?: boolean;
    /**
     * Enables the color contrast tool.
     * Accepts the background color that will be compared to the selected value.
     * The tool will calculate the contrast ratio between two colors.
     */
    contrastTool?: string;
    /**
     * Determines the delay time (in milliseconds) before the ColorGradient value is changed on handle drag. A value of 0 indicates no delay.
     */
    delay?: number;
    /**
     * Determines the step (in pixels) when moving the gradient drag handle using the keyboard arrow keys.
     *
     * @default 5
     */
    gradientSliderStep?: number;
    /**
     * Determines the step (in pixels) when moving the gradient drag handle using the keyboard arrow keys while holding the shift key.
     *
     * @default 2
     */
    gradientSliderSmallStep?: number;
}
