/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare const bezierCommand: (controlPointCalc: Function) => (point: number[], i: number, a: number[]) => string;
/**
 * @hidden
 */
export declare const controlPoint: (lineCalc: Function) => (current: number[], previous: number[], next: number[], reverse?: boolean) => number[];
/**
 * @hidden
 */
export declare const line: (pointA: number[], pointB: number[]) => {
    length: number;
    angle: number;
};
/**
 * @hidden
 */
export declare const d: (points: number[][], command: Function) => string;
/**
 * @hidden
 *
 * Render the svg <path> element.
 *
 * @param points (array) Represents the points coordinates as an array of tuples.
 * @param command (function) The command that is used (bezierCommand, lineCommand).
 *      @param point (array) [x,y] Represents the current point coordinates.
 *      @param i (integer) Represents the index of 'point' in the array 'a'.
 *      @param a (array) Represents the complete array of points coordinates.
 *      @output (string) a svg path command.
 * @output (string) a Svg <path> element
 */
export declare const svgPath: (points: number[][], command: Function) => string;
