/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class ColorPickerMessages extends ComponentMessages {
    /**
     * The aria-label applied to the ColorPalette component when the value is empty.
     */
    colorPaletteNoColor;
    /**
     * The aria-label applied to the ColorGradient component when the value is empty.
     */
    colorGradientNoColor;
    /**
     * The aria-label applied to the FlatColorPicker component when the value is empty.
     */
    flatColorPickerNoColor;
    /**
     * The aria-label applied to the ColorPicker component when the value is empty.
     */
    colorPickerNoColor;
    /**
     * The title for the gradient color drag handle chooser.
     */
    colorGradientHandle;
    /**
     * The title for the clear button.
     */
    clearButton;
    /**
     * The title for the hue slider handle.
     */
    hueSliderHandle;
    /**
     * The title for the opacity slider handle.
     */
    opacitySliderHandle;
    /**
     * The placeholder for the HEX color input.
     */
    hexInputPlaceholder;
    /**
     * The placeholder for the red color input.
     */
    redInputPlaceholder;
    /**
     * The placeholder for the green color input.
     */
    greenInputPlaceholder;
    /**
     * The placeholder for the blue color input.
     */
    blueInputPlaceholder;
    /**
     * The placeholder for the alpha input.
     */
    alphaInputPlaceholder;
    /**
     * The aria-label attribute of the red color input.
     */
    redChannelLabel;
    /**
     * The aria-label attribute of the green color input.
     */
    greenChannelLabel;
    /**
     * The aria-label attribute of the blue color input.
     */
    blueChannelLabel;
    /**
     * The aria-label attribute of the alpha color input.
     */
    alphaChannelLabel;
    /**
     * The "Pass" message for the contrast tool.
     */
    passContrast;
    /**
     * The "Fail" message for the contrast tool.
     */
    failContrast;
    /**
     * The "Contrast ratio" message for the contrast tool.
     */
    contrastRatio;
    /**
     * The message for the color preview pane.
     */
    previewColor;
    /**
     * The message for the selected color pane.
     */
    revertSelection;
    /**
     * The message for the gradient view button.
     */
    gradientView;
    /**
     * The message for the palette view button.
     */
    paletteView;
    /**
     * The message for the input format toggle button.
     */
    formatButton;
    /**
     * The message for the Apply action button.
     */
    applyButton;
    /**
     * The message for the Cancel action button.
     */
    cancelButton;
    /**
     * The title for the Close button in adaptive mode.
     */
    closeButton;
    /**
     * The title for the ActionSheet when in adaptive mode.
     */
    adaptiveTitle;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ColorPickerMessages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ColorPickerMessages, selector: "kendo-colorpicker-messages-base", inputs: { colorPaletteNoColor: "colorPaletteNoColor", colorGradientNoColor: "colorGradientNoColor", flatColorPickerNoColor: "flatColorPickerNoColor", colorPickerNoColor: "colorPickerNoColor", colorGradientHandle: "colorGradientHandle", clearButton: "clearButton", hueSliderHandle: "hueSliderHandle", opacitySliderHandle: "opacitySliderHandle", hexInputPlaceholder: "hexInputPlaceholder", redInputPlaceholder: "redInputPlaceholder", greenInputPlaceholder: "greenInputPlaceholder", blueInputPlaceholder: "blueInputPlaceholder", alphaInputPlaceholder: "alphaInputPlaceholder", redChannelLabel: "redChannelLabel", greenChannelLabel: "greenChannelLabel", blueChannelLabel: "blueChannelLabel", alphaChannelLabel: "alphaChannelLabel", passContrast: "passContrast", failContrast: "failContrast", contrastRatio: "contrastRatio", previewColor: "previewColor", revertSelection: "revertSelection", gradientView: "gradientView", paletteView: "paletteView", formatButton: "formatButton", applyButton: "applyButton", cancelButton: "cancelButton", closeButton: "closeButton", adaptiveTitle: "adaptiveTitle" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ColorPickerMessages, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'kendo-colorpicker-messages-base'
                }]
        }], propDecorators: { colorPaletteNoColor: [{
                type: Input
            }], colorGradientNoColor: [{
                type: Input
            }], flatColorPickerNoColor: [{
                type: Input
            }], colorPickerNoColor: [{
                type: Input
            }], colorGradientHandle: [{
                type: Input
            }], clearButton: [{
                type: Input
            }], hueSliderHandle: [{
                type: Input
            }], opacitySliderHandle: [{
                type: Input
            }], hexInputPlaceholder: [{
                type: Input
            }], redInputPlaceholder: [{
                type: Input
            }], greenInputPlaceholder: [{
                type: Input
            }], blueInputPlaceholder: [{
                type: Input
            }], alphaInputPlaceholder: [{
                type: Input
            }], redChannelLabel: [{
                type: Input
            }], greenChannelLabel: [{
                type: Input
            }], blueChannelLabel: [{
                type: Input
            }], alphaChannelLabel: [{
                type: Input
            }], passContrast: [{
                type: Input
            }], failContrast: [{
                type: Input
            }], contrastRatio: [{
                type: Input
            }], previewColor: [{
                type: Input
            }], revertSelection: [{
                type: Input
            }], gradientView: [{
                type: Input
            }], paletteView: [{
                type: Input
            }], formatButton: [{
                type: Input
            }], applyButton: [{
                type: Input
            }], cancelButton: [{
                type: Input
            }], closeButton: [{
                type: Input
            }], adaptiveTitle: [{
                type: Input
            }] } });
