/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MessageAlign } from './models/message-align';
import * as i0 from "@angular/core";
/**
 * Represents an error message that will be shown underneath
 * a Kendo control or native HTML form-bound component after a validation.
 */
export declare class ErrorComponent {
    hostClass: boolean;
    /**
     * Specifies the alignment of the Error message.
     *
     * The possible values are:
     * * (Default) `start`
     * * `end`
     */
    align: MessageAlign;
    /**
     * @hidden
     */
    readonly id: string;
    roleAttribute: string;
    get startClass(): boolean;
    get endClass(): boolean;
    get idAttribute(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ErrorComponent, "kendo-formerror", never, { "align": { "alias": "align"; "required": false; }; }, {}, never, ["*"], true, never>;
}
