/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MessageAlign } from './models/message-align';
import * as i0 from "@angular/core";
/**
 * Represents a hint message that will be shown underneath a form-bound component.
 */
export declare class HintComponent {
    /**
     * Specifies the alignment of the Hint message.
     *
     * The possible values are:
     * * (Default) `start`
     * * `end`
     */
    align: MessageAlign;
    /**
     * @hidden
     */
    readonly id: string;
    hostClass: boolean;
    get startClass(): boolean;
    get endClass(): boolean;
    get idAttribute(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<HintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HintComponent, "kendo-formhint", never, { "align": { "alias": "align"; "required": false; }; }, {}, never, ["*"], true, never>;
}
