/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./maskedtextbox/maskedtextbox.component";
import * as i2 from "@progress/kendo-angular-common";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the MaskedTextBox component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the MaskedTextBox module
 * import { MaskedTextBoxModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, MaskedTextBoxModule], // import MaskedTextBox module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class MaskedTextBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MaskedTextBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MaskedTextBoxModule, never, [typeof i1.MaskedTextBoxComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent], [typeof i1.MaskedTextBoxComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent, typeof i2.PrefixTemplateDirective, typeof i2.SuffixTemplateDirective, typeof i2.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MaskedTextBoxModule>;
}
