/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Result } from './result';
import { Stream } from './stream';
/**
 * @hidden
 */
export declare class Parser {
    private parse;
    constructor(parse: Function);
    run(input: Stream | string, control?: string): Result;
    map(f: Function): Parser;
    chain(f: Function): Parser;
    isLiteral(c: string): boolean;
}
/**
 * @hidden
 */
export declare const mask: ({ prompt, promptPlaceholder }: {
    prompt: any;
    promptPlaceholder: any;
}) => (rule: any) => Parser;
/**
 * @hidden
 */
export declare const literal: (_token: any) => Parser;
/**
 * @hidden
 */
export declare const unmask: (prompt: any) => (rule: any) => Parser;
/**
 * @hidden
 */
export declare const unliteral: (_token: any) => Parser;
/**
 * @hidden
 */
export declare const token: (rules: any, creator: any) => Parser;
/**
 * @hidden
 */
export declare const rawMask: ({ prompt, promptPlaceholder }: {
    prompt: any;
    promptPlaceholder: any;
}) => Parser;
/**
 * @hidden
 */
export declare const rawLiteral: (includeLiterals: any) => Parser;
