/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SVGIcon } from '@progress/kendo-angular-icons';
/**
 * Represents the possible icon separators of the OTP Input.
 */
export interface OTPSeparatorIcon {
    /**
     * Specifies the type of the separator icon.
     */
    type: 'svgIcon' | 'fontIcon' | 'iconClass';
    /**
     * Specifies the icon to be displayed as a separator.
     */
    value: string | SVGIcon;
}
