/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./rangeslider/rangeslider.component";
import * as i2 from "./rangeslider/localization/custom-messages.component";
import * as i3 from "./sliders-common/label-template.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the RangeSlider component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Inputs module
 * import { RangeSliderModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, BrowserAnimationsModule, RangeSliderModule], // import RangeSlider module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class RangeSliderModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeSliderModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RangeSliderModule, never, [typeof i1.RangeSliderComponent, typeof i2.RangeSliderCustomMessagesComponent, typeof i3.LabelTemplateDirective], [typeof i1.RangeSliderComponent, typeof i2.RangeSliderCustomMessagesComponent, typeof i3.LabelTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RangeSliderModule>;
}
