/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./rating/rating.component";
import * as i2 from "./rating/directives/rating-item.directive";
import * as i3 from "./rating/directives/rating-hovered-item.directive";
import * as i4 from "./rating/directives/rating-selected-item.directive";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Rating component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Rating module
 * import { RatingModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, RatingModule], // import Rating module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class RatingModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<RatingModule, never, [typeof i1.RatingComponent, typeof i2.RatingItemTemplateDirective, typeof i3.RatingHoveredItemTemplateDirective, typeof i4.RatingSelectedItemTemplateDirective], [typeof i1.RatingComponent, typeof i2.RatingItemTemplateDirective, typeof i3.RatingHoveredItemTemplateDirective, typeof i4.RatingSelectedItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<RatingModule>;
}
