/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Renders the rating item content. To define an item template, nest an `<ng-template>` tag
 * with the `kendoRatingItemTemplate` directive inside the `<kendo-rating>` tag
 * [see example](slug:templates_rating).
 * The index of the current item is available as an implicit context using the `let-index="index"` syntax.
 */
export declare class RatingItemTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingItemTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RatingItemTemplateDirective, "[kendoRatingItemTemplate]", never, {}, {}, never, never, true, never>;
}
