/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Renders the selected rating item content. To define an item template, nest an `<ng-template>` tag
 * with the `kendoRatingSelectedItemTemplate` directive inside the `<kendo-rating>` tag
 * [see example](slug:templates_rating).
 * The index of the currently selected item is available as an implicit context using the `let-index="index"` syntax.
 */
export declare class RatingSelectedItemTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingSelectedItemTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RatingSelectedItemTemplateDirective, "[kendoRatingSelectedItemTemplate]", never, {}, {}, never, never, true, never>;
}
