/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * An interface for the rating items in the Rating component
 *
 * @hidden
 *
 */
export interface RatingItem {
    /**
     * Specifies the rating item title.
     */
    title?: string;
    /**
     * Specifies whether the rating item is selected.
     */
    selected?: boolean;
    /**
     * Specifies whether the rating item should be indicated as selected (if the `k-selected` class should be rendered).
     */
    selectedIndicator?: boolean;
    /**
     * Specifies whether the rating item is hovered.
     */
    hovered?: boolean;
    /**
     * Specifies whether the value represents half icon or whole icon.
     */
    half?: boolean;
}
