/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SliderMessages extends ComponentMessages {
    /**
     * The title of the **Decrease** button of the Slider.
     */
    decrement: string;
    /**
     * The title of the **Increase** button of the Slider.
     */
    increment: string;
    /**
     * The title of the drag handle of the Slider.
     */
    dragHandle: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SliderMessages, "kendo-slider-messages-base", never, { "decrement": { "alias": "decrement"; "required": false; }; "increment": { "alias": "increment"; "required": false; }; "dragHandle": { "alias": "dragHandle"; "required": false; }; }, {}, never, never, false, never>;
}
