/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, Renderer2 } from '@angular/core';
/**
 * @hidden
 */
export declare abstract class SliderModelBase {
    protected props: any;
    protected wrapper: HTMLElement;
    protected track: HTMLElement;
    protected renderer: Renderer2;
    private button?;
    protected tickSizes: number[];
    constructor(props: any, wrapper: HTMLElement, track: HTMLElement, renderer: Renderer2, button?: ElementRef);
    protected abstract positionHandle(dragHandle: HTMLElement): void;
    protected abstract positionSelection(dragHandle: HTMLElement, selection: HTMLElement): void;
    resizeTrack(): void;
    resizeTicks(ticksContainer: HTMLElement, ticks: HTMLElement[]): void;
    resizeWrapper(): void;
    protected trackWidth(): number;
    protected getTickSizes(): any[];
    private adjustPadding;
    private elementOffset;
    private elementSize;
    private getTrackOffset;
}
