/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, OnChanges, QueryList, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SliderTicksComponent implements OnChanges {
    wrapperClasses: string;
    tickTitle: (value: number) => string;
    vertical: boolean;
    step: number;
    largeStep: number;
    min: number;
    max: number;
    labelTemplate: TemplateRef<any>;
    tickElements: QueryList<ElementRef>;
    ticks: Array<any>;
    ngOnChanges(_: any): void;
    private createTicks;
    private endTickClasses;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderTicksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SliderTicksComponent, "[kendoSliderTicks]", never, { "tickTitle": { "alias": "tickTitle"; "required": false; }; "vertical": { "alias": "vertical"; "required": false; }; "step": { "alias": "step"; "required": false; }; "largeStep": { "alias": "largeStep"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "labelTemplate": { "alias": "labelTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
