/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { RangeSliderValue } from '../rangeslider/rangeslider-value.type';
/**
 * @hidden
 */
export declare const calculateFixedTrackSize: ({ max, min, smallStep, fixedTickWidth }: any) => number;
/**
 * @hidden
 */
export declare const calculateTicksCount: (min?: number, max?: number, smallStep?: number) => number;
/**
 * @hidden
 */
export declare const calculateValueFromTick: (index: number, { max, min, smallStep, reverse, vertical }: any) => number;
/**
 * @hidden
 */
export declare const calculateHandlePosition: ({ trackWidth, min, max, value }: any) => number;
/**
 * @hidden
 */
export declare const decreaseValueToStep: (value: number, { max, min, smallStep, largeStep }: any, large?: boolean) => number;
/**
 * @hidden
 */
export declare const increaseValueToStep: (value: number, { max, min, smallStep, largeStep }: any, large?: boolean) => number;
/**
 * @hidden
 */
export declare const isStartHandle: (dragHandle: HTMLElement) => boolean;
/**
 * @hidden
 */
export declare const snapValue: (value: number, options: any) => number;
/**
 * @hidden
 */
export declare const trimValue: (max: number, min: number, value: number) => number;
/**
 * @hidden
 */
export declare const trimValueRange: (max: number, min: number, value: [number, number]) => [number, number];
/**
 * @hidden
 */
export declare const identity: (value: any) => any;
/**
 * @hidden
 */
export declare const isSameRange: (value1: [number, number], value2: [number, number]) => boolean;
/**
 * @hidden
 */
export declare const elementOffset: (element: any) => any;
/**
 * @hidden
 */
export declare const limitValue: (value: number, min: number, max: number) => number;
/**
 * @hidden
 */
export declare const eventValue: (eventArgs: any, scaleElement: any, options: any) => number;
/**
 * @hidden
 */
export declare const isButton: (element: any) => boolean;
/**
 * @hidden
 */
export declare const increment: (options: any) => number;
/**
 * @hidden
 */
export declare const decrement: (options: any) => number;
/**
 * @hidden
 */
export declare const incrementLarge: (options: any) => number;
/**
 * @hidden
 */
export declare const decrementLarge: (options: any) => number;
/**
 * @hidden
 */
export declare const validateValue: (value: RangeSliderValue) => void;
/**
 * @hidden
 */
declare const _default: {
    calculateFixedTrackSize: ({ max, min, smallStep, fixedTickWidth }: any) => number;
    calculateValueFromTick: (index: number, { max, min, smallStep, reverse, vertical }: any) => number;
    calculateTicksCount: (min?: number, max?: number, smallStep?: number) => number;
    calculateHandlePosition: ({ trackWidth, min, max, value }: any) => number;
    decreaseValueToStep: (value: number, { max, min, smallStep, largeStep }: any, large?: boolean) => number;
    decrement: (options: any) => number;
    decrementLarge: (options: any) => number;
    eventValue: (eventArgs: any, scaleElement: any, options: any) => number;
    identity: (value: any) => any;
    increment: (options: any) => number;
    incrementLarge: (options: any) => number;
    isButton: (element: any) => boolean;
    isSameRange: (value1: [number, number], value2: [number, number]) => boolean;
    isStartHandle: (dragHandle: HTMLElement) => boolean;
    increaseValueToStep: (value: number, { max, min, smallStep, largeStep }: any, large?: boolean) => number;
    trimValue: (max: number, min: number, value: number) => number;
    trimValueRange: (max: number, min: number, value: [number, number]) => [number, number];
    snapValue: (value: number, options: any) => number;
    validateValue: (value: RangeSliderValue) => void;
};
export default _default;
