/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./switch/switch.component";
import * as i2 from "./switch/localization/custom-messages.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Switch component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Switch module
 * import { SwitchModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, SwitchModule], // import Switch module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class SwitchModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SwitchModule, never, [typeof i1.SwitchComponent, typeof i2.SwitchCustomMessagesComponent], [typeof i1.SwitchComponent, typeof i2.SwitchCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SwitchModule>;
}
