/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./textarea/textarea.component";
import * as i2 from "./shared/textarea.directive";
import * as i3 from "./textarea/textarea-prefix.component";
import * as i4 from "./textarea/textarea-suffix.component";
import * as i5 from "@progress/kendo-angular-common";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the TextArea component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the TextArea module
 * import { TextAreaModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, TextAreaModule], // import TextArea module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class TextAreaModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TextAreaModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TextAreaModule, never, [typeof i1.TextAreaComponent, typeof i2.TextAreaDirective, typeof i3.TextAreaPrefixComponent, typeof i4.TextAreaSuffixComponent, typeof i5.SeparatorComponent, typeof i5.PrefixTemplateDirective, typeof i5.SuffixTemplateDirective, typeof i5.SeparatorComponent], [typeof i1.TextAreaComponent, typeof i2.TextAreaDirective, typeof i3.TextAreaPrefixComponent, typeof i4.TextAreaSuffixComponent, typeof i5.SeparatorComponent, typeof i5.PrefixTemplateDirective, typeof i5.SuffixTemplateDirective, typeof i5.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TextAreaModule>;
}
