/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies if the TextArea should auto resize, resize directions or none resize.
 *
 * The possible values are:
 * * `vertical`(Default)&mdash;The TextArea component can be resized in vertical direction.
 * * `auto`&mdash;Specifies whether the TextArea component will adjust its height automatically, based on the content.
 * * `horizontal`&mdash;The TextArea component can be resized in horizontal direction.
 * * `both`&mdash;The TextArea component can be resized in both - horizontal and vertical directions.
 * * `none`&mdash;The TextArea cannot be resized.
 *
 */
export type TextAreaResize = 'auto' | 'vertical' | 'horizontal' | 'both' | 'none';
