/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./textbox/textbox.directive";
import * as i2 from "./textbox/textbox.component";
import * as i3 from "./shared/input-separator.component";
import * as i4 from "./textbox/textbox-suffix.directive";
import * as i5 from "./textbox/textbox-prefix.directive";
import * as i6 from "./textbox/localization/custom-messages.component";
import * as i7 from "@progress/kendo-angular-common";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the TextBox directive.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the TextBox module
 * import { TextBoxModule } from '@progress/kendo-angular-inputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, TextBoxModule], // import TextBox module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class TextBoxModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TextBoxModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TextBoxModule, never, [typeof i1.TextBoxDirective, typeof i2.TextBoxComponent, typeof i3.InputSeparatorComponent, typeof i4.TextBoxSuffixTemplateDirective, typeof i5.TextBoxPrefixTemplateDirective, typeof i6.TextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent], [typeof i1.TextBoxDirective, typeof i2.TextBoxComponent, typeof i3.InputSeparatorComponent, typeof i4.TextBoxSuffixTemplateDirective, typeof i5.TextBoxPrefixTemplateDirective, typeof i6.TextBoxCustomMessagesComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent, typeof i7.PrefixTemplateDirective, typeof i7.SuffixTemplateDirective, typeof i7.SeparatorComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TextBoxModule>;
}
