/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Specifies the adornments in the suffix container ([see examples](slug:adornments_textbox#toc-suffix-adornments)).
 * ```ts-no-run
 * _@Component({
 * selector: 'my-app',
 * template: `
 *  <kendo-textbox>
 *    <ng-template kendoTextBoxSuffixTemplate>
 *        <button kendoButton look="clear" icon="image"></button>
 *    </ng-template>
 *  </kendo-textbox>
 * `
 * })
 * class AppComponent {}
 * ```
 */
export declare class TextBoxSuffixTemplateDirective {
    templateRef: TemplateRef<any>;
    /**
     * Sets the `showSeparator` attribute of the `kendoTextBoxSuffixTemplate`.
     *
     * @default false
     */
    set showSeparator(value: boolean);
    get showSeparator(): boolean;
    private _showSeparator;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<TextBoxSuffixTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextBoxSuffixTemplateDirective, "[kendoTextBoxSuffixTemplate]", never, { "showSeparator": { "alias": "showSeparator"; "required": false; }; }, {}, never, never, true, never>;
}
